Welcome Guest, Not a member yet? Register   Sign In
Composer not loading from php include dir
#1

Hi,

I've discovered that composer is not loading when my vendor directory is in one my php.ini include_paths.

On line 173 of system/core/CodeIgniter.php there's the following...

PHP Code:
elseif (file_exists($composer_autoload)) 

...but file_exists only looks in the current directory.

Changing it to...

PHP Code:
elseif (stream_resolve_include_path($composer_autoload)) 

...fixes the issue for me. stream_resolve_include_path is available from 5.3.2 and up.

What's the minimum version of php supported?  I don't see a list of minimum requirements as part of the installation instructions.
Reply


Messages In This Thread
Composer not loading from php include dir - by gdhnz - 06-15-2015, 05:35 PM



Theme © iAndrew 2016 - Forum software by © MyBB